1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
        POST
      • Cleo
        POST
      • Contiant
        POST
      • emerchantpay
        POST
      • Flexepin
        POST
      • Forumpay
        POST
      • Gigadat
        POST
      • Neosurf
        POST
      • PayOne
        POST
      • PawaPay
        POST
      • Trust Payments
        POST
      • WorldPay
        POST
    • Pay-Out
      • Cleo
      • Gigadat withdraw ETO
      • Gigadat withdraw ACH
      • Forumpay
      • PayOne
      • PawaPay
  • Webhook
    • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-In

PawaPay

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
    "userId": "test001",
    "pspType": "PAWAPAY",
    "type": "PAYIN",
    "baseamount": 100,
    "currency": "ZMW",
    "country": "ZMB",
    "phone": "260763456789",
    "merchantReference": "ORDER-4821"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'X-User-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
    "userId": "test001",
    "pspType": "PAWAPAY",
    "type": "PAYIN",
    "baseamount": 100,
    "currency": "ZMW",
    "country": "ZMB",
    "phone": "260763456789",
    "merchantReference": "ORDER-4821"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{\n  "status": "success",\n  "code": 200,\n  "message": "Transaction processed successfully",\n  "data": {\n    "transactionId": "PAWA-TXN-001",\n    "merchantReference": "ORDER-4821",\n    "pspType": "PAWAPAY",\n    "type": "PAYIN",\n    "amount": 100,\n    "currency": "ZMW",\n    "country": "ZMB",\n    "phone": "260763456789",\n    "status": "ACCEPTED",\n    "createdAt": "2024-01-15T10:30:00Z"\n  }\n}
🟠400
🔴500
Modified at 2026-08-03 12:34:35
Previous
PayOne
Next
Trust Payments
Built with